.skeleton-cards {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;

  .skeleton-wrapper {
    margin: 15px;

    .skeleton-card {
      width: 300px;
      height: 300px;
      background: #33383d;
      border-radius: 10px;

      .skeleton-thumbnail {
        background: #7b8388;
        border-top-left-radius: 10px;
        border-top-right-radius: 10px;
        width: 300px;
        height: 170px;
      }

      .skeleton-title {
        background: #7b8388;
        width: 150px;
        height: 25px;
        margin-top: 30px;
        margin-bottom: 15px;
        margin-left: 10px;
        border-radius: 5px;
      }

      .skeleton-text {
        background: #7b8388;
        width: 280px;
        height: 12px;
        margin-bottom: 15px;
        margin-left: 10px;
        border-radius: 5px;
      }

      .flex {
        margin: 10px;
        display: flex;
        align-items: center;
        justify-content: space-between;

        .skeleton-genre {
          background: #7b8388;
          width: 60px;
          height: 20px;
          border-radius: 7px;
        }

        .skeleton-button {
          background: #7b8388;
          width: 80px;
          height: 13px;
          border-radius: 7px;
        }
      }
    }
  }
}

.skeleton-details {
  display: flex;
  margin: 100px;

  .skeleton-images {
    display: flex;
    flex-direction: column;

    .skeleton-image {
      background: #7b8388;
      width: 450px;
      height: 260px;
      margin: 15px;
    }
  }

  .skeleton-content {
    background: #33383d;
    border-radius: 10px;
    width: 1000px;
    height: 1050px;
    padding: 20px;

    .skeleton-title-date {
      background: #7b8388;
      width: 300px;
      height: 35px;
      border-radius: 5px;
      margin-bottom: 15px;
    }

    .flex {
      margin: 10px;
      display: flex;
      align-items: center;
      justify-content: space-between;

      .skeleton-status {
        background: #7b8388;
        width: 60px;
        height: 25px;
        border-radius: 5px;
      }

      .skeleton-genre {
        background: #7b8388;
        width: 60px;
        height: 25px;
        border-radius: 5px;
      }
    }

    .skeleton-desc {
      background: #7b8388;
      width: 700px;
      height: 800px;
      border-radius: 5px;
      margin-bottom: 15px;
    }

    .skeleton-platform {
      background: #7b8388;
      width: 150px;
      height: 25px;
      border-radius: 5px;
      margin-bottom: 15px;
    }

    .skeleton-publisher-dev {
      background: #7b8388;
      width: 300px;
      height: 35px;
      border-radius: 5px;
      margin-bottom: 15px;
    }
  }
}
